<?php

namespace App\Service;

use App\Entity\Snip;
use Symfony\Bundle\SecurityBundle\Security;

class SnipServiceFactory
{

    public function __construct(
        private readonly string $snipBasePath,
        private readonly Security $security,
    )
    {
    }

    public function create(Snip $snip): SnipService
    {
        return new SnipService($snip, $this->snipBasePath, $this->security->getUser());
    }
}